{% extends 'base.html.twig' %}

{% block body %}
    <h1>Categories list</h1>

    <table>
        <thead>
            <tr>
                <th>Id</th>
                <th>Name</th>
                <th>Parent</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
        {% for category in categories %}
            <tr>
                <td><a href="{{ path('category_show', { 'id': category.id }) }}">{{ category.id }}</a></td>
                <td>{{ category.name }}</td>
                <td>{% if category.parent %}Yes{% else %}No{% endif %}</td>
                <td>
                    <ul>
                        <li>
                            <a href="{{ path('category_show', { 'id': category.id }) }}">show</a>
                        </li>
                        <li>
                            <a href="{{ path('category_edit', { 'id': category.id }) }}">edit</a>
                        </li>
                    </ul>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <ul>
        <li>
            <a href="{{ path('category_new') }}">Create a new category</a>
        </li>
    </ul>
{% endblock %}
